%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-cinder
Version:        12.4.1
Release:        4%{?dist}
Summary:        Puppet module for OpenStack Cinder
License:        ASL 2.0

URL:            https://launchpad.net/puppet-cinder

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=12.4.1
Patch0001: 0001-Deprecate-parameters-that-have-been-removed-from-cin.patch
Patch0002: 0002-Add-cinder-nova-class-to-configure-nova-section.patch
Patch0003: 0003-Improve-cinder-nova-support-for-auth_type-password.patch
Patch0004: 0004-Dell-EMC-SC-Add-use_multipath_for_image_xfer.patch
Patch0005: 0005-Add-cinder-QOS-support.patch
Patch0006: 0006-Notify-not-only-cinder-service-but-also-Apache.patch
Patch0007: 0007-Handle-image_volume_cache_enabled-for-PureStorage-ba.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-rabbitmq
Requires:       puppet-oslo
Requires:       puppet-openstacklib
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Cinder

%prep
%setup -q -n openstack-cinder-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/cinder/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/cinder/



%files
%{_datadir}/openstack-puppet/modules/cinder/


%changelog
* Mon Apr 01 2019 Jon Schlueter <jschluet@redhat.com> 12.4.1-4
- Handle image_volume_cache_enabled for PureStorage backend
- Notify not only cinder service, but also Apache
- update to stable/queens (rhbz#1694855)

* Tue Jan 29 2019 Steve Linabery <slinaber@redhat.com> 12.4.1-3
- Add cinder QOS support

* Tue Dec 11 2018 Alan Bishop <abishop@redhat.com> 12.4.1-2
- Dell EMC SC: Add use_multipath_for_image_xfer (rhbz#1644017)

* Tue Dec 11 2018 Jon Schlueter <jschluet@redhat.com> 12.4.1-1
- Update to 12.4.1 (rhbz#1653480)
- Improve cinder::nova support for auth_type password (rhbz#1641825)
- Add cinder::nova class to configure nova section (rhbz#1641825)
- Set rbd_cluster_name to cope with custom cluster names (rhbz#1646398)

* Wed Oct 17 2018 Jon Schlueter <jschluet@redhat.com> 12.4.1-0.20180628102252
- update to upstream stable/queens (rhbz#1640286)
- Update Gemfile to pull spec_helper from stable/queens
- Make providers use auth_url for authentication

* Mon Sep 17 2018 Alan Bishop <abishop@redhat.com> 12.4.1-0.20180628102251
- Deprecate parameters that have been removed from cinder (rhbz#1617199)

* Wed Jul 25 2018 Jon Schlueter <jschluet@redhat.com> 12.4.1-0.20180628102250.641e036
- Revert "Restore iscsi loopback LVM volume group on startup" (rhbz#1572515)

